%define	module	turba
%define	name	horde-%{module}
%define	version	2.0
%define	release	3mdk

Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Summary:	The Horde contact manager
License:	LGPL
Group:		System/Servers
Source:		ftp://ftp.horde.org/pub/%{module}/%{module}-h3-%{version}.tar.bz2
Source1:	%{module}-horde.conf.bz2
URL:		http://www.horde.org/%{module}/
PreReq:		horde >= 3.0.2-2mdk
PreReq:		rpm-helper
BuildArch:	noarch
BuildRequires:	file
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
Turba is the Horde contact management application, which allows access
to and storage of personal contacts (including name, email address,
phone number, and other easily customizable fields). Turba integrates
with IMP (Horde's webmail application) as its address book.

%prep

%setup -q -n %{module}-h3-%{version}

# strip away annoying ^M
find . -type f|xargs file|grep 'CRLF'|cut -d: -f1|xargs perl -p -i -e 's/\r//'
find . -type f|xargs file|grep 'text'|cut -d: -f1|xargs perl -p -i -e 's/\r//'

%build

%install
rm -rf $RPM_BUILD_ROOT

# horde configuration
install -d -m 755 $RPM_BUILD_ROOT%{_sysconfdir}/horde/registry.d
bzcat %{SOURCE1} > $RPM_BUILD_ROOT%{_sysconfdir}/horde/registry.d/%{module}.php

# remove .htaccess files
find . -name .htaccess -exec rm -f {} \;

# install files
install -d -m 755 $RPM_BUILD_ROOT%{_var}/www/horde/%{module}
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/horde/%{module}
install -d -m 755 $RPM_BUILD_ROOT%{_sysconfdir}/horde
cp -pR *.php $RPM_BUILD_ROOT%{_var}/www/horde/%{module}
cp -pR themes $RPM_BUILD_ROOT%{_var}/www/horde/%{module}
cp -pR lib $RPM_BUILD_ROOT%{_datadir}/horde/%{module}
cp -pR locale $RPM_BUILD_ROOT%{_datadir}/horde/%{module}
cp -pR scripts $RPM_BUILD_ROOT%{_datadir}/horde/%{module}
cp -pR templates $RPM_BUILD_ROOT%{_datadir}/horde/%{module}
cp -pR config $RPM_BUILD_ROOT%{_sysconfdir}/horde/%{module}

# use symlinks to recreate original structure
pushd $RPM_BUILD_ROOT%{_var}/www/horde/%{module}
ln -s ../../../..%{_sysconfdir}/horde/%{module} config
ln -s ../../../..%{_datadir}/horde/%{module}/lib .
ln -s ../../../..%{_datadir}/horde/%{module}/locale .
ln -s ../../../..%{_datadir}/horde/%{module}/templates .
popd
pushd $RPM_BUILD_ROOT%{_datadir}/horde/%{module}
ln -s ../../../..%{_sysconfdir}/horde/%{module} config
popd

# activate configuration files
for file in $RPM_BUILD_ROOT%{_sysconfdir}/horde/%{module}/*.dist; do
	mv $file ${file%.dist}
done

# fix script shellbang
for file in `find $RPM_BUILD_ROOT%{_datadir}/horde/%{module}/scripts`; do
	perl -pi -e 's|/usr/local/bin/php|/usr/bin/php|' $file
done

# additional cleanup
rm -f $RPM_BUILD_ROOT%{_datadir}/horde/%{module}/scripts/Turba.reg

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ $1 = 1 ]; then
	# generate configuration
	%create_ghostfile %{_sysconfdir}/horde/%{module}/conf.php apache apache 644
	%create_ghostfile %{_sysconfdir}/horde/%{module}/conf.php.bak apache apache 644
	%{_datadir}/horde/scripts/setup.php %{module} >/dev/null 2>&1
fi

%files
%defattr(-,root,root)
%doc README COPYING docs
%config(noreplace) %{_sysconfdir}/horde/registry.d/%{module}.php
%config(noreplace) %{_sysconfdir}/horde/%{module}
%{_datadir}/horde/%{module}
%{_var}/www/horde/%{module}

%changelog
* Fri Feb 18 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0-3mdk
- spec file cleanups, remove the ADVX-build stuff
- strip away annoying ^M

* Mon Jan 17 2005 Guillaume Rousse <guillomovitch@mandrake.org> 2.0-2mdk
- fix inclusion path
- fix configuration perms
- generate configuration at postinstall
- horde and rpm-helper are now a prereq

* Fri Jan 14 2005 Guillaume Rousse <guillomovitch@mandrake.org> 2.0-1mdk 
- new version
- top-level is now %{_var}/www/horde/%{module}
- config is now in %{_sysconfdir}/horde/%{module}
- other non-accessible files are now in %{_datadir}/horde/%{module}
- drop safemode build
- drop old obsoletes
- drop all patches
- no more apache configuration
- rpmbuildupdate aware
- spec cleanup

* Mon Jul 19 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.2.2-3mdk 
- apache config file in %{_sysconfdir}/httpd/webapps.d

* Sat May 01 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.2.2-2mdk
- renamed to %{name}
- pluggable horde configuration
- standard perms for %{_sysconfdir}/httpd/conf.d/%{order}_%{name}.conf
- don't provide useless ADVXpackage virtual package
- remove redundant requires, as horde already requires them

* Mon Apr 05 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.2.2-1mdk
- new version

* Sat Dec 20 2003 Guillaume Rousse <guillomovitch@mandrake.org> 1.2.1-2mdk
- untagged localisation files
- no more .htaccess files, use %{_sysconfdir}/httpd/conf.d/%{order}_%{module}.conf instead
- scripts now in  %{_datadir}/{name}

* Sat Sep 20 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 1.2.1-1mdk
- 1.2.1
- suspend patch 1, doesn't match anymore

* Tue Sep 09 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 1.2-3mdk
- requires horde, not horde2
- changed order to 72, as all other horde apps
- standard perms and ownership for config files, access is already denied

* Mon Sep 08 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 1.2-2mdk
- speac cleanup
- remove useless files from webroot (.dist, doc files, .po)
- properly tag localisation files
- drop apache1 integration
- fixed URL
- removed implicit dependencies

* Fri Jun 27 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.2-1mdk
- Release 1.2.
- Rebuild Patch2.

* Sun Feb 16 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.1-3mdk
- new macros from ADVX-build

* Tue Jul 02 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.1-2mdk
- spec cleanup
- removed circular requires on imp3
- removed redundant requires on apache

* Wed Jun 19 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.1-1mdk
- updated by David Walser <luigiwalser@yahoo.com> :
	- 1.1 final
	- Regenerate ldap patch

* Sat Mar 18 2002 David Walser <luigiwalser@yahoo.com> 1.1-0.2mdk
- Add patch1 (ldap sources)

* Sat Mar 18 2002 David Walser <luigiwalser@yahoo.com> 1.1-0.1mdk
- Regenerate patch

* Mon Mar 11 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.0-3mdk
- s/Copyright/License/.

* Mon Mar 11 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.0-2mdk
- fixed BuildRequires for horde2 and imp3.

* Mon Mar 11 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.0-1mdk
- initial mandrake release.
- added imp in config.

* Wed Jan 02 2002 Brent J. Nordquist <bjn@horde.org>
- 1.0 release 1

* Mon Dec 24 2001 Brent J. Nordquist <bjn@horde.org>
- 1.0-RC4 release 1

* Sun Dec 16 2001 Brent J. Nordquist <bjn@horde.org>
- initial RPM for Turba 1.0
